//
// Rock.cpp
// 
#include <stdlib.h>		// for random

// Engine includes.
#include "DisplayManager.h"
#include "WorldManager.h"

// Game includes.
#include "Rock.h"

Rock::Rock() {

  // Rock attributes.
  setType("Rock");
  setAltitude(0);

  // Set Rock in random location.
  setPosition(df::Vector((rand()%(int)WM.getBoundary().getHorizontal()),
			 (rand()%(int)WM.getBoundary().getVertical())));
}

// Draw Rock on screen.
int Rock::draw() {
  return DM.drawCh(getPosition(), ROCK_CHAR, ROCK_COLOR); 
}

